Module ij
Package ij.plugin

# Class ScreenGrabber

java.lang.Object
ij.plugin.ScreenGrabber

All Implemented Interfaces:
  `PlugIn`

public class ScreenGrabber extends Object implements PlugIn
This plugin implements the Plugins/Utilities/Capture Screen and Plugins/Utilities/Capture Image commands. Note that these commands may not work on Linux if windows translucency or special effects are enabled in the windows manager.

## Constructor Summary

Constructors
Constructor
Description
`ScreenGrabber()`

## Method Summary

Modifier and Type
Method
Description
`ImagePlus`
`captureImage()`
Captures the active image window and returns it as an ImagePlus.
`ImagePlus`
`captureScreen()`
Captures the entire screen and returns it as an ImagePlus.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScreenGrabber

public ScreenGrabber()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### captureScreen

public ImagePlus captureScreen()
Captures the entire screen and returns it as an ImagePlus.

### captureImage

public ImagePlus captureImage()
Captures the active image window and returns it as an ImagePlus.